0

I am running Ubuntu 16.04 have run all the updates and my software center has decided to go else where. If I open it via the menu I get the title bar with the buttons, Min,Max,Close however they don't work. There is nothing in the widow other than my wallpaper with the window borders. I force quite the app then in terminal run:

mikey@C3P0:~$ software-center
/usr/bin/software-center:25: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
  from gi.repository import Gtk, GObject

(software-center:13476): Gtk-WARNING **: Theme parsing error: gtk.css:27:35: Junk at end of value

(software-center:13476): Gtk-WARNING **: Theme parsing error: gtk.css:40:48: Junk at end of value

(software-center:13476): Gtk-WARNING **: Theme parsing error: gtk.css:48:46: Junk at end of value

(software-center:13476): Gtk-WARNING **: Theme parsing error: gtk.css:59:58: Junk at end of value

(software-center:13476): Gtk-WARNING **: Theme parsing error: gtk.css:70:46: Junk at end of value

(software-center:13476): Gtk-WARNING **: Theme parsing error: gtk.css:81:58: Junk at end of value
/usr/share/software-center/softwarecenter/ui/gtk3/views/purchaseview.py:29: PyGIWarning: WebKit2 was imported without specifying a version first. Use gi.require_version('WebKit2', '4.0') before import to ensure that the right version gets loaded.
  from gi.repository import WebKit2 as webkit
/usr/share/software-center/softwarecenter/ui/gtk3/widgets/symbolic_icons.py:23: PyGIWarning: PangoCairo was imported without specifying a version first. Use gi.require_version('PangoCairo', '1.0') before import to ensure that the right version gets loaded.
  from gi.repository import Gtk, Gdk, GLib, PangoCairo
2017-08-13 09:42:52,734 - softwarecenter.ui.gtk3.app - INFO - setting up proxy 'None'
2017-08-13 09:42:53,084 - softwarecenter.plugin - INFO - activating plugin '<module 'webapps_activation' from '/usr/share/software-center/softwarecenter/plugins/webapps_activation.pyc'>'
2017-08-13 09:42:53,106 - softwarecenter.db.pkginfo_impl.aptcache - INFO - aptcache.open()

Again I force close it. I have tried everything listed here from: sudo apt update && sudo apt upgrade, nothing.

I have tried: sudo apt-get update && sudo apt-get upgrade, nothing.

I have used Synaptic to fix broken packages, nothing.

I have uninstalled via both Synaptic and terminal and rebooted then reinstalled via both, nothing.

Sometimes I get the window with a white background and a few buttons to the left but nothing works, if I let it just load or attempt to load, 5 minutes. Still nothing I have to force quit the app. If you know the answer could you

please explain in a way a schoolboy would understand? I really don't understand what:

PyGIWarning: Gtk was imported without specifying a version first, means or how to fix it.

  • 1
    What changed? Did it used to work and now doesn't? What changed in the meantime? I would recommend a couple of things to make sure you're not missing any updates. sudo apt update then sudo apt dist-upgrade (rather than upgrade). Secondly (assuming you're on Ubuntu+Unity) I'd use sudo apt install ubuntu-desktop^ (note the caret) to put back any inadvertently removed packages. Try those first. – popey Aug 13 '17 at 14:15
  • Popey, Thank you for your quick reply I am running 16.04 with all the latest updates. I am also running the Gnome Shell 3.XI have changed nothing and have been running Gnome shell for almost a year. I just installed 17.04 on my laptop last night all seems well but it's only been 24 hours. I may go that way yet. I just don't know where it went. – M Velte Aug 14 '17 at 16:18

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.